<template>
  <CheckAutoHome
    :service-price="servicePrice"
    :payment-system="paymentSystem"/>
</template>

<script>
import CheckAutoHome from '~/components/redesign/check-auto/home';

import { CHECK_CHECKAUTO_PROMOCODE } from '~/assets/js/store/billing/action-types';
import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/check-auto/promocode';

export default {
  components: {
    CheckAutoHome,
  },
  mixins: [SeoMixin, SeoPageMixin],
  watchQuery: ['from_catalog'],
  async fetch({
    app,
    store,
    params,
    redirect,
    query,
  }) {
    if (query.from_catalog === '1') {
      app.$cookies.set('checkautoNoDownloadBtn', '1', {
        domain: `.${app.$config.domains.base}`,
        path: '/',
        maxAge: 60 * 60 * 24 * 365 * 10,
      });
    }

    const promocodeValid = await store.dispatch(`billing/${CHECK_CHECKAUTO_PROMOCODE}`, params.code);

    if (!promocodeValid) {
      redirect('/check-auto');
    }
  },
  asyncData({ app }) {
    return app.$axios.$get('/_main/checkauto/info')
      .then(({ data }) => ({
        servicePrice: data.servicePrice,
        paymentSystem: data.paymentSystem,
      }))
      .catch(e => console.error(e));
  },
};
</script>

<style scoped lang="postcss">

</style>
